<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2015 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Ext-Joom.com
# Websites:  http://www.ext-joom.com 
# Date modified: 02/02/2015 - 13:00
# ------------------------------------------------------------------------
*/

defined('_JEXEC') or die;
error_reporting(E_ALL & ~E_NOTICE);

$document 					= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_owl_carousel_articles_news/assets/css/owl.carousel.css');
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_owl_carousel_articles_news/assets/css/owl.theme.css');




// Load jQuery
//------------------------------------------------------------------------

$ext_jquery_ver				= $params->get('ext_jquery_ver', '1.9.1');
$ext_load_jquery			= (int)$params->get('ext_load_jquery', 1);
$ext_load_base				= (int)$params->get('ext_load_base', 1);

$ext_script = <<<SCRIPT


var jQowl = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!jQowl) {
			jQowl = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 500);
	}
}
initJQ(); 
 
 if (jQuery) jQuery.noConflict();    
  
  
 

SCRIPT;

if ($ext_load_jquery  > 0) {
	$document->addScriptDeclaration($ext_script);	
}
if ($ext_load_base  > 0) { 
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_owl_carousel_articles_news/assets/js/owl.carousel.min.js"></script>'); 	
}


// Options Owl Carousel - http://owlgraphic.com/owlcarousel/#customizing
//------------------------------------------------------------------------

//basic:
$ext_items 					= (int)$params->get('ext_items', 3);
$ext_navigation				= $params->get('ext_navigation', 'false');
$ext_pagination				= $params->get('ext_pagination', 'true');
$ext_paginationnumbers		= $params->get('ext_paginationnumbers', 'false');

//pro:
$ext_itemsdesktop			= $params->get('ext_itemsdesktop', 'false');
$ext_itemsdesktopsmall		= $params->get('ext_itemsdesktopsmall', 'false');
$ext_itemstablet			= $params->get('ext_itemstablet', 'false');
$ext_itemstabletsmall		= $params->get('ext_itemstabletsmall', 'false');
$ext_itemsmobile			= $params->get('ext_itemsmobile', 'false');
$ext_itemscustom			= $params->get('ext_itemscustom', 'false');
$ext_autoplay				= $params->get('ext_autoplay', 'false');

// Buy PRO version http://ext-joom.com/en/extensions.html


// Joomla Articles
//------------------------------------------------------------------------
$module_id 					= "mod_" . $module->id;

// Include the syndicate functions only once
require_once __DIR__ . '/helper.php';

$list            = ModExtArticlesNewsHelper::getList($params);
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

require JModuleHelper::getLayoutPath('mod_ext_owl_carousel_articles_news', $params->get('layout', 'default'));
echo JText::_(COP_JOOMLA);
?>